"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseKaia = parseKaia;
exports.parseKaiaUnits = parseKaiaUnits;
exports.parseUnits = parseUnits;
const index_js_1 = require("../util/index.js");
/**
 * Convert kaia to kei
 *
 * @param   kaia  string number in kaia unit
 * @returns equivalent value in kei.
 */
function parseKaia(kaia) {
    return (0, index_js_1.parseKaia)(kaia).toBigInt();
}
/**
 * Convert Kaia's units to kei
 *
 * @param   value  string number of unit
 * @param unitName name of unit to convert (kei/gkei/kaia)
 * @returns equivalent value in peb.
 */
function parseKaiaUnits(value, unitName) {
    return (0, index_js_1.parseKaiaUnits)(value, unitName).toBigInt();
}
/**
 * Convert Kaia's units to kei
 *
 * @param   value  string number of unit
 * @param unitName name of unit to convert (kei/gkei/kaia)
 * @returns equivalent value in peb.
 */
function parseUnits(value, unitName) {
    return (0, index_js_1.parseUnits)(value, unitName).toBigInt();
}
