import { AccessList } from "ethers";
import { FieldSetFactory, Fields } from "../field/index.js";
import { KlaytnTx } from "./abstract.js";
declare class _KlaytnTxFactory extends FieldSetFactory<KlaytnTx> {
    constructor();
    fromObject(fields: Fields): KlaytnTx;
    fromRLP(rlp: string): KlaytnTx;
}
export declare const KlaytnTxFactory: _KlaytnTxFactory;
export interface ParsedTransaction {
    hash?: string;
    to?: string;
    from?: string;
    nonce: number;
    gasLimit: string;
    gasPrice?: string;
    data: string;
    value: string;
    chainId?: number;
    r?: string;
    s?: string;
    v?: number;
    type?: number | null;
    accessList?: AccessList;
    maxPriorityFeePerGas?: string;
    maxFeePerGas?: string;
    key?: any;
    humanReadable?: boolean;
    codeFormat?: number;
    feePayer?: string;
    txSignatures?: any;
    feePayerSignatures?: any;
    feeRatio?: number;
}
export declare function parseTransaction(rlp: string): ParsedTransaction;
export {};
