import { TxType } from "../util/index.js";
import { KlaytnTx } from "./abstract.js";
export declare class TxTypeFeeDelegatedValueTransferWithRatio extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../field/common.js").FieldTypeNumberBits;
        nonce: import("../field/common.js").FieldTypeNumberBits;
        gasPrice: import("../field/common.js").FieldTypeNumberBits;
        gasLimit: import("../field/common.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../field/common.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feeRatio: import("../field/common.js").FieldTypeNumberBits;
        chainId: import("../field/common.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedValueTransferMemoWithRatio extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../field/common.js").FieldTypeNumberBits;
        nonce: import("../field/common.js").FieldTypeNumberBits;
        gasPrice: import("../field/common.js").FieldTypeNumberBits;
        gasLimit: import("../field/common.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../field/common.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feeRatio: import("../field/common.js").FieldTypeNumberBits;
        chainId: import("../field/common.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedSmartContractDeployWithRatio extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../field/common.js").FieldTypeNumberBits;
        nonce: import("../field/common.js").FieldTypeNumberBits;
        gasPrice: import("../field/common.js").FieldTypeNumberBits;
        gasLimit: import("../field/common.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../field/common.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        humanReadable: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feeRatio: import("../field/common.js").FieldTypeNumberBits;
        codeFormat: import("../field/common.js").FieldTypeNumberBits;
        chainId: import("../field/common.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedSmartContractExecutionWithRatio extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../field/common.js").FieldTypeNumberBits;
        nonce: import("../field/common.js").FieldTypeNumberBits;
        gasPrice: import("../field/common.js").FieldTypeNumberBits;
        gasLimit: import("../field/common.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../field/common.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feeRatio: import("../field/common.js").FieldTypeNumberBits;
        chainId: import("../field/common.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedAccountUpdateWithRatio extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../field/common.js").FieldTypeNumberBits;
        nonce: import("../field/common.js").FieldTypeNumberBits;
        gasPrice: import("../field/common.js").FieldTypeNumberBits;
        gasLimit: import("../field/common.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        key: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feeRatio: import("../field/common.js").FieldTypeNumberBits;
        chainId: import("../field/common.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedCancelWithRatio extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../field/common.js").FieldTypeNumberBits;
        nonce: import("../field/common.js").FieldTypeNumberBits;
        gasPrice: import("../field/common.js").FieldTypeNumberBits;
        gasLimit: import("../field/common.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feeRatio: import("../field/common.js").FieldTypeNumberBits;
        chainId: import("../field/common.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../util/ec.js").SignatureLike[]): import("../util/ec.js").SignatureTuple[];
            emptyValue(): import("../util/ec.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
