"use strict";
// Data type utilities
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.HexStr = exports.RLP = void 0;
exports.getTypePrefix = getTypePrefix;
const address_1 = require("@ethersproject/address");
const bignumber_1 = require("@ethersproject/bignumber");
const bytes = __importStar(require("@ethersproject/bytes"));
const constants_1 = require("@ethersproject/constants");
const rlp = __importStar(require("@ethersproject/rlp"));
exports.RLP = {
    encode: rlp.encode,
    decode: rlp.decode,
};
exports.HexStr = {
    toNumber(value) {
        return bignumber_1.BigNumber.from(value).toNumber();
    },
    fromNumber(value) {
        return bignumber_1.BigNumber.from(value).toHexString();
    },
    from(value) {
        return bytes.hexlify(value);
    },
    concat(...items) {
        return bytes.hexlify(bytes.concat(items));
    },
    isHex(value, length) {
        return bytes.isHexString(value, length);
    },
    stripZeros(value) {
        return bytes.hexlify(bytes.stripZeros(value));
    },
    zeroPad(value, length) {
        return bytes.hexZeroPad(value, length);
    },
    withHexPrefix(value) {
        return value.replace(/^(0x)?/, "0x");
    },
    stripHexPrefix(value) {
        return value.replace(/^(0x)?/, "");
    },
    toAddress(value) {
        if (!value || value == "0x") {
            return constants_1.AddressZero;
        }
        else {
            return (0, address_1.getAddress)(value);
        }
    },
    toBoolean(value) {
        if (value == "0x") {
            return false;
        }
        else if (value == "0x01") {
            return true;
        }
        else {
            throw new Error(`Invalid RLP boolean: '${value}'`);
        }
    },
};
function getTypePrefix(rlp) {
    if (!exports.HexStr.isHex(rlp)) {
        throw new Error("Not an RLP encoded string");
    }
    if (rlp.length < 4) {
        throw new Error("RLP encoded string too short");
    }
    return exports.HexStr.toNumber(rlp.substring(0, 4)); // 0xNN
}
