import { FieldSet } from "../field/index.js";
import { AccountKeyType } from "../util/const.js";
export declare abstract class AccountKey extends FieldSet {
    abstract toRLP(): string;
    abstract setFieldsFromRLP(rlp: string): void;
}
export declare class AccountKeyNil extends AccountKey {
    static type: AccountKeyType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
    };
    toRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class AccountKeyLegacy extends AccountKey {
    static type: AccountKeyType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
    };
    toRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class AccountKeyPublic extends AccountKey {
    static type: AccountKeyType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        key: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
    };
    toRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class AccountKeyFail extends AccountKey {
    static type: AccountKeyType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
    };
    toRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class AccountKeyWeightedMultiSig extends AccountKey {
    static type: AccountKeyType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        threshold: import("../index.js").FieldTypeNumberBits;
        keys: {
            canonicalize(value: any): {
                weight: string;
                key: string;
            }[];
            emptyValue(): import("../index.js").WeightedPublicKey[];
        };
    };
    toRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class AccountKeyRoleBased extends AccountKey {
    static type: AccountKeyType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        keys: {
            canonicalize(value: any): object[];
            emptyValue(): string[];
        };
    };
    toRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
