import { BigNumberish } from "@ethersproject/bignumber";
/**
 * Convert kaia to kei
 *
 * @param   kaia  string number in kaia unit
 * @returns equivalent value in kei.
 */
export declare function parseKaia(kaia: string): bigint;
/**
 * Convert Kaia's units to kei
 *
 * @param   value  string number of unit
 * @param unitName name of unit to convert (kei/gkei/kaia)
 * @returns equivalent value in peb.
 */
export declare function parseKaiaUnits(value: string, unitName?: string | BigNumberish): bigint;
/**
 * Convert Kaia's units to kei
 *
 * @param   value  string number of unit
 * @param unitName name of unit to convert (kei/gkei/kaia)
 * @returns equivalent value in peb.
 */
export declare function parseUnits(value: string, unitName?: string | BigNumberish): bigint;
