import { parseKaia as parseKaiaBase, parseKaiaUnits as parseKaiaUnitsBase, parseUnits as parseUnitsBase, } from "../util/index.js";
/**
 * Convert kaia to kei
 *
 * @param   kaia  string number in kaia unit
 * @returns equivalent value in kei.
 */
export function parseKaia(kaia) {
    return parseKaiaBase(kaia).toBigInt();
}
/**
 * Convert Kaia's units to kei
 *
 * @param   value  string number of unit
 * @param unitName name of unit to convert (kei/gkei/kaia)
 * @returns equivalent value in peb.
 */
export function parseKaiaUnits(value, unitName) {
    return parseKaiaUnitsBase(value, unitName).toBigInt();
}
/**
 * Convert Kaia's units to kei
 *
 * @param   value  string number of unit
 * @param unitName name of unit to convert (kei/gkei/kaia)
 * @returns equivalent value in peb.
 */
export function parseUnits(value, unitName) {
    return parseUnitsBase(value, unitName).toBigInt();
}
