import { TxType } from "../util/index.js";
import { KlaytnTx } from "./abstract.js";
export declare class TxTypeValueTransfer extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeValueTransferMemo extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeSmartContractDeploy extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        humanReadable: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        codeFormat: import("../index.js").FieldTypeNumberBits;
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeSmartContractExecution extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeAccountUpdate extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        key: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeCancel extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
