import { TxType } from "../util/index.js";
import { KlaytnTx } from "./abstract.js";
export declare class TxTypeFeeDelegatedValueTransfer extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedValueTransferMemo extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedSmartContractDeploy extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        humanReadable: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        codeFormat: import("../index.js").FieldTypeNumberBits;
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedSmartContractExecution extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        to: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        value: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        data: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedAccountUpdate extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        key: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
export declare class TxTypeFeeDelegatedCancel extends KlaytnTx {
    static type: TxType;
    static typeName: string;
    static fieldTypes: {
        type: import("../index.js").FieldTypeNumberBits;
        nonce: import("../index.js").FieldTypeNumberBits;
        gasPrice: import("../index.js").FieldTypeNumberBits;
        gasLimit: import("../index.js").FieldTypeNumberBits;
        from: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        chainId: import("../index.js").FieldTypeNumberBits;
        txSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
        feePayer: {
            canonicalize(value: any): string;
            emptyValue(): string;
        };
        feePayerSignatures: {
            canonicalize(value: import("../index.js").SignatureLike[]): import("../index.js").SignatureTuple[];
            emptyValue(): import("../index.js").SignatureTuple[];
        };
    };
    sigRLP(): string;
    sigFeePayerRLP(): string;
    senderTxHashRLP(): string;
    txHashRLP(): string;
    setFieldsFromRLP(rlp: string): void;
}
