export declare enum TxType {
    ValueTransfer = 8,
    ValueTransferMemo = 16,
    AccountUpdate = 32,
    SmartContractDeploy = 40,
    SmartContractExecution = 48,
    Cancel = 56,
    FeeDelegatedValueTransfer = 9,
    FeeDelegatedValueTransferMemo = 17,
    FeeDelegatedAccountUpdate = 33,
    FeeDelegatedSmartContractDeploy = 41,
    FeeDelegatedSmartContractExecution = 49,
    FeeDelegatedCancel = 57,
    FeeDelegatedValueTransferWithRatio = 10,
    FeeDelegatedValueTransferMemoWithRatio = 18,
    FeeDelegatedAccountUpdateWithRatio = 34,
    FeeDelegatedSmartContractDeployWithRatio = 42,
    FeeDelegatedSmartContractExecutionWithRatio = 50,
    FeeDelegatedCancelWithRatio = 58
}
type TxTypeLike = number | bigint | string | null | undefined;
export declare function parseTxType(type?: TxTypeLike): number;
export declare function getKaikasTxType(type?: TxTypeLike): number | string | undefined;
export declare function isKlaytnTxType(type?: number): boolean;
export declare function isBasicTxType(type?: number): boolean;
export declare function isFeeDelegationTxType(type?: number): boolean;
export declare function isPartialFeeDelegationTxType(type?: number): boolean;
export declare function isFeePayerSigTxType(type?: number): boolean;
export declare enum AccountKeyType {
    Nil = 0,
    Legacy = 1,
    Public = 2,
    Fail = 3,
    WeightedMultiSig = 4,
    RoleBased = 5
}
export declare function isKlaytnAccountKeyType(type?: number): boolean;
export declare function isEmbeddableAccountKeyType(type?: number): boolean;
export declare const CodeFormatEVM = 0;
export {};
